org.appng.xml.application

## Class Permission

- java.lang.Object
- - org.appng.xml.application.Permission

-     public class Permission
      extends Object

  Java class for permission complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="permission">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permission()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### id

          protected String id

  - ### Constructor Detail

    - #### Permission

          public Permission()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.